Subject: Re: [TopGit PATCH 6/6] tg-log: short cut to git log

From: Uwe Kleine-König <[email-masked]>
Date: Mon, 4 Oct 2010 08:45:44 +0200

Hi,

On Mon, Oct 04, 2010 at 06:40:22AM +0200, Per Cederqvist wrote:
> Using --first-parent to get only the interesting commits only works reliably
> when you only work locally. If you collaborate and you and your partner both
> make a commit before you push to a central server you will have to make a
> merge, where both parents are interesting.
> 
> I wish that git remembered which branch a commit was initially made on. That
> would make "tg log" easy to implement correctly. But since git doesn't, I
> don't think it is possible to implement it properly.
> 
> At least, a warning should be added to the README.
Oh right, I missed that, when looking over the patch.  Maybe doing
something like:

	git log $name ^base(name) $(for d in dep(name); do echo ^$d)

would work?

Thanks
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |